package com.yeejoin.equipmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.equipmanage.common.entity.EquipmentSpecificAlarm;
import com.yeejoin.equipmanage.common.entity.EquipmentSpecificAlarmLog;

import org.apache.ibatis.annotations.Param;

public interface ConfirmAlarmMapper extends BaseMapper<EquipmentSpecificAlarm> {

	EquipmentSpecificAlarmLog  getDetailsById(@Param("id") Long id, @Param("equipId")Long equipId);

    int confirmAlam(EquipmentSpecificAlarmLog ent);

    EquipmentSpecificAlarmLog getIdAndConfirmType(String id);

    int getFireAlarm();

    int getFaultAlarm();

}
